VM_MAP_MADVISE(9)

NAME
vm_map_madvise - apply advice about use of memory to map entries

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_map.h>
int
vm_map_madvise(vm_map_t map, vm_offset_t start, vm_offset_t end, int behav);

DESCRIPTION
The vm_map_madvise() function applies the flags behav to the entries within map between start and end.

Advisories are classified as either those affecting the vm_map_entry structure, or those affecting the underlying objects.

The vm_map_madvise() function is used by the madvise(2) system call.

RETURN VALUES
The vm_map_madvise() function returns 0 if successful. If the behav argument was not recognised, KERN_INVALID_ARGUMENT is returned.

SEE ALSO
madvise(2), vm_map(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.